# Copyright (C) 2019 VMware, Inc. All rights reserved.
# -- VMware Confidential

from abc import ABCMeta, abstractmethod
import six


@six.add_metaclass(ABCMeta)
class AbstractPlugin(object):
    """
    The base class of the plugin including static plugin and dynamic plugin
    """

    @property
    @abstractmethod
    def name(self):
        pass

    @property
    @abstractmethod
    def type(self):
        pass



