# ESXi shell executes scripts in BusyBox shell,
# which doesn't recognizes 'sudo'
esxcli > /dev/null 2>&1
if [ $? -eq 0 ]; then
  # Returns true only on ESXi hosts
  nc -zv -w 2 $1 $3 > /dev/null 2>&1
else
  sudo nc -zv -w 2 $1 $3 > /dev/null 2>&1
fi
if [ $? -eq 0 ]; then
  echo "Connection to $1 on port $3 succeeded!"
else
  echo "Connection to $1 on port $3 failed!"
  exit 1
fi

